<template>
  <v-snackbar
      v-model="notification.show"
      :color="notification.type"
      timeout="3000"
  >
    {{ notification.message }}
  </v-snackbar>
</template>

<script>
import { mapState, mapActions, mapMutations } from "vuex";

export default {
  name: "NotificationPopup",
  computed: {
    ...mapState(["notification"]),
  },
  watch: {
    'notification.show'(val) {
      if (!val) {
        this.clearNotification()
      }
    }
  },
  methods: {
    ...mapMutations(["clearNotification"]),
    ...mapActions(["setNotification"]),
    //@input="inputHandler"
    // inputHandler(value) {
    //   if(!value) {
    //     this.setNotification({
    //       show: false,
    //       type: "error",
    //       message: ""
    //     })
    //   }
    // }
  }
}
</script>

<style scoped>

</style>
